package org.latexlab.clsi.client.protocol;

import com.google.gwt.core.client.JavaScriptObject;

public class ClsiServiceCompileResponse extends JavaScriptObject {

  protected ClsiServiceCompileResponse() { }
  
  public final native String getId() /*-{
  	return this.id;
  }-*/;

  public final native String getInstance() /*-{
  	return this.instance;
  }-*/;
  
  public final native double getTime() /*-{
  	return this.time;
  }-*/;
  
  public final native ClsiOutputError[] getOutputErrors() /*-{
  	if (!this.outputErrors) return @org.latexlab.clsi.client.impl.ArrayHelper::toArray(Lcom/google/gwt/core/client/JsArray;)([]);
    else return @org.latexlab.clsi.client.impl.ArrayHelper::toArray(Lcom/google/gwt/core/client/JsArray;)(this.outputErrors);
  }-*/;
  
  public final native ClsiOutputFile[] getOutputFiles() /*-{
  	if (!this.outputFiles) return @org.latexlab.clsi.client.impl.ArrayHelper::toArray(Lcom/google/gwt/core/client/JsArray;)([]);
    else return @org.latexlab.clsi.client.impl.ArrayHelper::toArray(Lcom/google/gwt/core/client/JsArray;)(this.outputFiles);
  }-*/;
  
  public final native ClsiOutputLog[] getOutputLogs() /*-{
  	if (!this.outputLogs) return @org.latexlab.clsi.client.impl.ArrayHelper::toArray(Lcom/google/gwt/core/client/JsArray;)([]);
    else return @org.latexlab.clsi.client.impl.ArrayHelper::toArray(Lcom/google/gwt/core/client/JsArray;)(this.outputLogs);
  }-*/;
  
  public final native ClsiSourceHint[] getSourceHints() /*-{
  	if (!this.sourceHints) return @org.latexlab.clsi.client.impl.ArrayHelper::toArray(Lcom/google/gwt/core/client/JsArray;)([]);
    else return @org.latexlab.clsi.client.impl.ArrayHelper::toArray(Lcom/google/gwt/core/client/JsArray;)(this.sourceHints);
  }-*/;
  
  public final native String getStatus() /*-{
  	return this.status;
  }-*/;
  
}
